"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Condition {
    constructor() {
        this.table = '';
        this.select = [];
        this.join = [];
        this.joinOnWhere = new Map();
        this.where = [];
        this.orWhere = [];
        this.whereNull = [];
        this.orWhereNull = [];
        this.whereNotNull = [];
        this.orWhereNotNull = [];
        this.order = [];
        this.skip = undefined;
        this.take = undefined;
        this.groupBy = undefined;
        this.sql = '';
        this.findInSet = [];
        this.orFindInSet = [];
        this.like = [];
        this.orLike = [];
        this.whereIn = [];
        this.orWhereIn = [];
    }
    clear() {
        this.table = '';
        this.select = [];
        this.join = [];
        this.joinOnWhere = new Map();
        this.where = [];
        this.orWhere = [];
        this.whereNull = [];
        this.orWhereNull = [];
        this.whereNotNull = [];
        this.orWhereNotNull = [];
        this.order = [];
        this.skip = undefined;
        this.take = undefined;
        this.groupBy = undefined;
        this.sql = '';
        this.findInSet = [];
        this.orFindInSet = [];
        this.like = [];
        this.orLike = [];
        this.whereIn = [];
        this.orWhereIn = [];
    }
}
exports.Condition = Condition;
