/**
 *  Author: WangCK
 *  Description:
 *  Created on 2018-07-26 13:47:45.
 *  By Visual Studio Code.
 */
import { Mysql, MysqlPoolConnection } from './index'

const config = {
    host: '10.10.203.241',
    port: 3306,
    user: 'developer_211',
    password: 'developer_211',
    database: 'zhijing_v22'
}
const mysql = new Mysql(config)

async function TestTransaction() {
    try {
        await mysql.table('order_type').where('id', '>', 5).delete().execute()
        await mysql.table('app_config').where({ key: "a", value: "b", mark: "c" }).delete().execute()

        const transactionInstance: MysqlPoolConnection = await Mysql.BeginTransaction(mysql)
        try {
            console.log(
                await Mysql.TransactionQuery(transactionInstance, mysql.table('order_type').insert({ id: 6 }))
            )

            console.log(
                await Mysql.TransactionQuery(transactionInstance, mysql.table('app_config').insert({ key: "a", value: "b", mark: "c" }))
            )

            await Mysql.Commit(transactionInstance)
        } catch (error) {
            await Mysql.Rollback(transactionInstance)
        }
    } catch (error) {
        console.log(error)
    }
}
TestTransaction()