"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 *  Author: WangCK
 *  Description:
 *  Created on 2018-07-26 13:47:45.
 *  By Visual Studio Code.
 */
const index_1 = require("./index");
const config = {
    host: '10.10.203.241',
    port: 3306,
    user: 'developer_211',
    password: 'developer_211',
    database: 'zhijing_v22'
};
const mysql = new index_1.Mysql(config);
async function TestTransaction() {
    try {
        await mysql.table('order_type').where('id', '>', 5).delete().execute();
        await mysql.table('app_config').where({ key: "a", value: "b", mark: "c" }).delete().execute();
        const transactionInstance = await index_1.Mysql.BeginTransaction(mysql);
        try {
            console.log(await index_1.Mysql.TransactionQuery(transactionInstance, mysql.table('order_type').insert({ id: 6 })));
            console.log(await index_1.Mysql.TransactionQuery(transactionInstance, mysql.table('app_config').insert({ key: "a", value: "b", mark: "c" })));
            await index_1.Mysql.Commit(transactionInstance);
        }
        catch (error) {
            await index_1.Mysql.Rollback(transactionInstance);
        }
    }
    catch (error) {
        console.log(error);
    }
}
TestTransaction();
